Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ejb
Class WeblogicTOPLinkDeploymentTool

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
            |
            +--org.apache.tools.ant.taskdefs.optional.ejb.WeblogicDeploymentTool
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ejb.WeblogicTOPLinkDeploymentTool

All Implemented Interfaces:
  EJBDeploymentTool

public class WeblogicTOPLinkDeploymentTool
extends WeblogicDeploymentTool

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.WeblogicDeploymentTool
`DEFAULT_WL_DTD_LOCATION, DEFAULT_WL51_EJB11_DTD_LOCATION, DEFAULT_WL60_EJB11_DTD_LOCATION, DEFAULT_WL60_EJB20_DTD_LOCATION, PUBLICID_EJB11, PUBLICID_EJB20, PUBLICID_WEBLOGIC_EJB, WL_CMP_DD, WL_DD`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
`EJB_DD, META_DIR`

Constructor Summary
`WeblogicTOPLinkDeploymentTool()`

Method Summary
`protected void` | `addVendorFiles(java.util.Hashtable ejbFiles, java.lang.String baseName)` Add any vendor specific files which should be included in the EJB Jar.
`protected DescriptorHandler` | `getDescriptorHandler(java.io.File srcDir)`
`void` | `setToplinkdescriptor(java.lang.String inString)` Setter used to store the name of the toplink descriptor.
`void` | `setToplinkdtd(java.lang.String inString)` Setter used to store the location of the toplink DTD file.
`void` | `validateConfigured()` Called to validate that the tool parameters have been configured.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.WeblogicDeploymentTool
`createWLClasspath, getClassLoaderFromJar, getWeblogicDescriptorHandler, isRebuildRequired, setArgs, setCompiler, setEJBdtd, setKeepgenerated, setKeepgeneric, setNewCMP, setOldCMP, setRebuild, setSuffix, setWeblogicdtd, setWLClasspath, setWLdtd, writeJar`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
`addFileToJar, checkAndAddInherited, configure, createClasspath, getClassLoaderForBuild, getCombinedClasspath, getConfig, getDestDir, getTask, log, processDescriptor, setClasspath, setDestdir, setGenericJarSuffix, setTask, usingBaseJarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeblogicTOPLinkDeploymentTool

    public WeblogicTOPLinkDeploymentTool()

Method Detail

### setToplinkdescriptor

    public void setToplinkdescriptor(java.lang.String inString)

  Setter used to store the name of the toplink descriptor.
  Parameters:
    `inString` - the string to use as the descriptor name.

### setToplinkdtd

    public void setToplinkdtd(java.lang.String inString)

  Setter used to store the location of the toplink DTD file. This is expected to be an URL (file or otherwise). If running this on NT using a file URL, the safest thing would be to not use a drive spec in the URL and make sure the file resides on the drive that ANT is running from. This will keep the setting in the build XML platform independent.
  Parameters:
    `inString` - the string to use as the DTD location.

### getDescriptorHandler

    protected DescriptorHandler getDescriptorHandler(java.io.File srcDir)

  Overrides:
    `getDescriptorHandler` in class `WeblogicDeploymentTool`

### addVendorFiles

    protected void addVendorFiles(java.util.Hashtable ejbFiles,
                                  java.lang.String baseName)

  Add any vendor specific files which should be included in the EJB Jar.
  Overrides:
    `addVendorFiles` in class `WeblogicDeploymentTool`

### validateConfigured

    public void validateConfigured()
                            throws BuildException

  Called to validate that the tool parameters have been configured.
  Overrides:
    `validateConfigured` in class `WeblogicDeploymentTool`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.